Skip to main content
GET
/
v2
/
sepa
/
bulk_transfers
/
{id}
Get Bulk Transfer
curl --request GET \
  --url https://thirdparty.qonto.com/v2/sepa/bulk_transfers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "bulk_transfer": {
    "id": "fe1ed7b6-4fee-4036-aaaa-43e1d3154ab3",
    "initiator_id": "f8d96abb-63fe-4a1d-bbd5-10f76eec2e6f",
    "created_at": "2025-04-10T10:00:00Z",
    "updated_at": "2025-04-10T10:05:00Z",
    "total_count": 400,
    "completed_count": 300,
    "failed_count": 10,
    "pending_count": 90,
    "results": [
      {
        "client_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "completed",
        "transfer_id": "027f1410-3749-4c42-a678-31c6f158e652",
        "errors": null
      },
      {
        "client_transfer_id": "10f2bb10-9c81-42a0-a163-b45c3be14807",
        "status": "failed",
        "transfer_id": null,
        "errors": [
          {
            "code": "invalid",
            "detail": "Invalid IBAN",
            "source": {
              "pointer": "/bank_account_id"
            }
          }
        ]
      },
      {
        "client_transfer_id": "be134b6b-6832-49cc-9b04-3a106dab27c7",
        "status": "pending",
        "transfer_id": null,
        "errors": null
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

Unique identifier of the bulk transfer.

Response

Successfully retrieved the job status

bulk_transfer
object
required